### org.jfree.layouting.layouter.context

# Class DefaultPageContext

- `java.lang.Object`
- - `org.jfree.layouting.layouter.context.DefaultPageContext`

Implemented Interfaces:
  PageContext

`public class DefaultPageContext`
`extends java.lang.Object`
`implements PageContext`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: DefaultPageContext.java 3524 2007-10-16 11:26:31Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Constructor Summary

  `DefaultPageContext()`

  ## Method Summary

  `LayoutStyle`

  `getAreaDefinition(PageAreaType name)`

  `PseudoPage[]`

  `getPseudoPages()`

  `LayoutStyle`

  `getStyle()`

  `boolean`

  `isPseudoPage(PseudoPage page)`
    Returns true, if the given PseudoPage identifier matches the current page state.

  `void`

  `setAreaDefinition(PageAreaType area, LayoutStyle style)`

  `void`

  `setPseudoPages(PseudoPage[] pages)`

## Constructor Details

### DefaultPageContext

    public DefaultPageContext()

## Method Details

### getAreaDefinition

    public LayoutStyle getAreaDefinition(PageAreaType name)

> Specified by:
>   getAreaDefinition in interface PageContext

### getPseudoPages

    public PseudoPage[] getPseudoPages()

### getStyle

    public LayoutStyle getStyle()

> Specified by:
>   getStyle in interface PageContext

### isPseudoPage

    public boolean isPseudoPage(PseudoPage page)

> Returns true, if the given PseudoPage identifier matches the current page state.
> Specified by:
>   isPseudoPage in interface PageContext
> Returns:
>   true, if the pseudopage matches, false otherwise.

### setAreaDefinition

    public void setAreaDefinition(PageAreaType area,
                                  LayoutStyle style)

### setPseudoPages

    public void setPseudoPages(PseudoPage[] pages)